API Reference
Attendance
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/attendance JWT API KeyGet attendance
Query parameters
| From string (date) | — |
| To string (date) | — |
| EmployeeId string (uuid) | — |
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/attendance" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance JWT API KeyCreate attendance
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"date": "2026-09-30",
"status": "string",
"clockIn": "2026-09-30T18:07:54.609Z",
"clockOut": "2026-09-30T18:07:54.609Z",
"breakMinutes": 0,
"note": "string"
}| employeeId string (uuid) | — |
| date string (date) | — |
| status string | — |
| clockIn string (date-time) | — |
| clockOut string (date-time) | — |
| breakMinutes integer (int32) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"date": "2026-09-30",
"status": "string",
"clockIn": "2026-09-30T18:07:54.609Z",
"clockOut": "2026-09-30T18:07:54.609Z",
"breakMinutes": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance/clock JWT API KeyCreate clock
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In"
}| employeeId string (uuid) | — |
| mode AttendanceMode | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/clock" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu